import { default as EditorModel } from "../../Models/EditorModel.js";
import { MacroEditorBase } from "../Editor/MacroEditorBase.js";
import { AssemblerView } from "./AssemblerView.js";
export default class MacroView extends AssemblerView {
    private m_editorModels;
    private m_editorViews;
    protected get editorModels(): Array<EditorModel>;
    protected get editorViews(): Array<MacroEditorBase>;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onInitialView(): void;
    protected onFocusedView(): void;
    private addEditorsToControlCollection;
    private createEditors;
    private createEditor;
    private triggerEditorViewsResize;
}
